import LayoutIndex from "@/layout/Index.vue";

export default[
  {
    path:'/system',
    name:'SystemRole',
    component:LayoutIndex,
    meta:{
      title:'权限配置'
    },
    children:[
      {
        path:'roleMenuAuth',
        name:'SystemRoleMenuAuth',
        component:()=>import('@/views/system/RoleMenuAuth.vue'),
        meta:{
          title:'权限配置'
        },
      },
    ]
  },
  {
    path:'/system',
    name:'SystemSet',
    component:LayoutIndex,
    meta:{
      title:'个性化设置'
    },
    children:[
      {
        path:'commonSet',
        name:'SystemCommonSet',
        component:()=>import('@/views/system/CommonSet.vue'),
        meta:{
          title:'个性化设置'
        },
      },
    ]
  },
  {
    path:'/system',
    name:'System',
    component:LayoutIndex,
    meta:{
      title:'系统设置'
    },
    children:[
      {
        path:'helpCenter',
        name:'SystemHelpCenter',
        component:()=>import('@/views/system/helpCenter/Index.vue'),
        meta:{
          title:'帮助中心配置'
        },
      },
      {
        path:'helpCenter/addDoc',
        name:'SystemHelpCenterAddDoc',
        component:()=>import('@/views/system/helpCenter/AddDocment.vue'),
        meta:{
          title:'添加文章'
        },
      },
      {
        path:'helpCenter/detail',
        name:'SystemHelpCenterDetail',
        component:()=>import('@/views/system/helpCenter/DocmentDetail.vue'),
        meta:{
          title:'查看文章'
        },
      },
    ]
  }
]